repos:
  - repo: https://github.com/psf/black
    rev: 26.3.0
    hooks:
    - id: black
      exclude: ^core/migrations
  - repo: https://github.com/PyCQA/isort
    rev: 8.0.1
    hooks:
      - id: isort
        args: ["--profile", "black"]
  - repo: https://github.com/PyCQA/flake8
    rev: 7.3.0
    hooks:
      - id: flake8
        args: [--max-line-length=88]
        exclude: ^core/migrations
  - repo: https://github.com/rtts/djhtml
    rev: 3.0.10
    hooks:
      - id: djhtml
        args: [-t 2]
      - id: djcss
        exclude : ^core/static/css # slow
      - id: djjs
        exclude: ^core/static/js # slow
  - repo: https://github.com/sirwart/ripsecrets.git
    rev: v0.1.11
    hooks:
      - id: ripsecrets
